<?php /*
Plugin Name: BBCode_bar
Version: 0.5
Description: Allow use BBCode for comments . / Permet d'utiliser du BBCode pour les commentaires.
Plugin URI: http://www.phpwebgallery.net
Author: Atadilo
Author URI: http://www.phpwebgallery.net
*/
	global $conf;
  
	if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
	
	// Include le fichier de lang
	include(PHPWG_PLUGINS_PATH.'bbcode_bar/language/'.get_default_language().'/plugin.lang.php');
	//include(get_language_filepath( 'plugin.lang.php', PHPWG_PLUGINS_PATH, PHPWG_DEFAULT_LANGUAGE) );
	
	//  On enleve le 'render_comment_content' livr en standard
	remove_event_handler('render_comment_content', 'parse_comment_content' );
	
	// La fonction ne sera appel que lors du chargement de 'picture.tpl' 
	add_event_handler('render_element_content', 'set_bbcode_bar_css', 40, 1 );
	
	// Fonction qui complete le fichier gnr
	function set_bbcode_bar_css($content)
	{
		global $page, $picture, $template;
		// la feuille de style
	    $content .= '<link rel="stylesheet" type="text/css" href="'.PHPWG_PLUGINS_PATH.'bbcode_bar/bbcode_bar.css" >';		
	    $template->assign_block_vars( 'head_element', array( 'CONTENT' => $content, ) );
		
		// include du code PHP de la barre d'icones
		include(PHPWG_PLUGINS_PATH.'bbcode_bar/bbcode_bar.inc.php');
		
		// Ajout de la barre d'icones
		$template->set_filenames( array('bbcode_bar'=> PHPWG_PLUGINS_PATH.'bbcode_bar/bbcode_bar.tpl') );
		
		$tlp_handle = 'picture';
		$old = '{lang:comment}';
		$new = '{BBCODE_BAR}';
		
		$template->loadfile($tlp_handle);
		$template->uncompiled_code[$tlp_handle] = str_replace($old, $new, $template->uncompiled_code[$tlp_handle]);
  
		$template->assign_var_from_handle( 'BBCODE_BAR', 'bbcode_bar');
		
		// On enleve le 'render_comment_content' pour le remplacer par un qui va traiter le BBCode
		remove_event_handler('render_comment_content', 'parse_comment_content' );
		add_event_handler('render_comment_content', 'ParseComment', 50, 1 );
	}
	
?>
